/*
 * Box sizing fix
 */
 *,
 *:before,
 *:after {
   box-sizing: border-box;
 }
 
 /*
  * Container
  */
 .container {
   margin: 20px auto 0;
   max-width: 600px;
 }
 
 /*
  * Date Picker
  */
 .date-picker {
   position: relative;
   
   &__calendar {
     left: 0;
     position: absolute;
     top: 100%;
     
     width: 274px;
     
     overflow: 0;
     
     transition: opacity 0.2s ease-out,
                 visibility 0.2s step-start 0.2s;
     visibility: hidden;
   
     &_visible {
       opacity: 1;
       
       transition-delay: 0s;
       visibility: visible;
     }
   }
 }
 
 /*
  * Calendar
  */
 .calendar {
   padding: 10px;
   width: 274px;
   
   color: #1e2633;
   font-family: 'Montserrat', sans-serif;
   line-height: 1.2;
   text-align: center;
   
   border: 3px solid #edeff2;
   user-select: none;
   
   &__header {
     position: relative;
     
     padding: 10px 35px;
     
     font-size: 14px;
     font-weight: 700;
     letter-spacing: 0.1em;
   }
   
   &__year {
     color: #b3b3b3;
   }
   
   &__btn {
     position: absolute;
     top: 8px;
     
     display: block;
     height: 20px;
     padding: 0;
     width: 20px;
     
     text-indent: -9999px;
     
     background: transparent;
     border: none;
     cursor: pointer;
     outline: none;
     overflow: hidden;
     
     &:before {
       content: "";
       
       position: absolute;
       top: 6px;
       
       display: block;
       height: 8px;
       width: 8px;
       
       border-left: 1px solid #1e2633;
       border-top: 1px solid #1e2633;
       transform-origin: center;
     }
     
     &_prev {
       left: 10px;
 
       &:before {
         left: 8px;
         transform: rotate(-45deg);
       }
     }
   
     &_next {
       right: 10px;
 
       &:before {
         right: 8px;
         transform: rotate(135deg);
       }
     }
     
     &_disabled {
       pointer-events: none;
       
       &:before {
         border-color: #b2b2b2;
       }
     }
     
     &:hover {
       &:before {
         border-color: #985e5b;
       }
     }
   }
 
   &__table {
     margin-top: 8px;
     width: 100%;
     
     table-layout: fixed;
   }
   
   &__table-col-header {
     padding: 12px 0;
 
     color: #b2b2b2;
     font-size: 12px;
     letter-spacing: 0.1em;
   }
   
   &__table-cell {
     padding: 6px 0;
     
     color: #1e2633;
     font-size: 14px;
     font-weight: 700;
     letter-spacing: 0.05em;
     
     cursor: pointer;
     
     &_disabled {
       color: #d3dbe8;
       pointer-events: none;
     }
     
     &_selected,
     &:hover {
       color: #985e5b;
     }
   }
 }
 